<?php
// install script
// coyright(c) team1/3 All Rights Reserved.

function install_script()
{
	global $database, $p_circle, $ut, $config, $params;

	$path = $config['files_path'].DIRECTORY_SEPARATOR.$p_circle.DIRECTORY_SEPARATOR.'data'.DIRECTORY_SEPARATOR.'blog_top.tpl';
	if (!is_file($path)) {
		return false;
	}
	$page_ar = array();
	if (!read_pagedata($params['circle']['meta']['top_page'], $page_ar)) {
		return false;
	}
	$page_ar['meta']['template_ar']['tpl'] = 'blog_top.tpl';
	$page_ar['type'] = 180;
	if (!mod_data_items($page_ar)) {
		return false;
	}
	if (!$database->sql_update("update ".DBX."data_items set type=? where id=?", $page_ar['type'] , $page_ar['id'] )) {
		return false;
	}

}

function uninstall_script()
{
	global $database, $p_circle, $ut, $config, $params;

	$page_ar = array();
	if (!read_pagedata($params['circle']['meta']['top_page'], $page_ar)) {
		return false;
	}
	unset($page_ar['meta']['template_ar']['tpl']);
	$page_ar['type'] = 1;
	if (!mod_data_items($page_ar)) {
		return false;
	}
	if (!$database->sql_update("update ".DBX."data_items set type=? where id=?", $page_ar['type'] , $page_ar['id'] )) {
		return false;
	}

}

?>